"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SchemaCompileError = exports.RecursionError = exports.SpartanError = void 0;

var _path = require("./path");

class SpartanError extends Error {
  constructor(message) {
    super(message);
  }

}

exports.SpartanError = SpartanError;

class RecursionError extends SpartanError {
  constructor(message, label) {
    super(`${message} (recursive label: ${label})`);
    this.label = label;
  }

}

exports.RecursionError = RecursionError;

class SchemaCompileError extends SpartanError {
  constructor(message, path) {
    super(`${message} (at ${(0, _path.pathToString)(path)})`);
    this.path = path;
  }

}

exports.SchemaCompileError = SchemaCompileError;